View Issue Details

IDProjectCategoryView StatusLast Update
0003014Ham Radio DeluxeBugpublic2019-02-24 15:12
ReporterWA9PIEAssigned ToK7ZCZ 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version6.4.0.907 
Target VersionFixed in Version6.5.0.196 
Summary0003014: CQ WPX Digital award is not correctly counting QSOs that have tagged as Granted
DescriptionCQ WPX Digital award is not correctly counting QSOs that have tagged as Granted. The problem is that the "Award to Track" is not correctly set to "CQ WPX (Mode)". I'll fix that and we'll update the awards for a build.

Ticket #511997
Steps To ReproduceOpen Logbook
With a loaded logbook, go to the Awards Tracking tab
Go to "CQ WPX"
Go to the Digital award (row)
Double-click "Not Submitted"
Double-click any prefix to get a list of QSOs
Double-click any QSO
Go to its "Awards" tab
Under "Granted", click on the "CQ WPX (Mode)" box and save the QSO
Go back to the awards tracking tab and hit "Refresh"
The QSO does not increment the Granted column.
Additional InformationThere is also a problem with the awards definition builder. I've been trying to track this down for a bit.

Without fixing the awards definition builder, I'll need to edit this XML manually. (Which I will do in order to resolve this bug.) I'll be opening another defect with steps to replicate the problem with the awards definition builder.
TagsNo tags attached.
ModuleLogbook
Sub-ModuleAwards
Testing Beta Successful

Activities

WA9PIE

2019-01-07 08:49

administrator   ~0006898

The same problem exists for the CQ DX Field CW award. I'll fix them both at the same time.

WA9PIE

2019-02-17 09:44

administrator   ~0007415

These issues are resolved with the attached Awards2.xml.

K7ZCZ - please update this file into the next release.

Awards2.xml (267,993 bytes)

K7ZCZ

2019-02-21 15:10

administrator   ~0007482

Updated to the provided file with this checkin:
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/4841

WA9PIE

2019-02-24 14:52

administrator   ~0007497

Validated

Issue History

Date Modified Username Field Change
2018-12-29 23:19 WA9PIE New Issue
2018-12-29 23:19 WA9PIE Status new => assigned
2018-12-29 23:19 WA9PIE Assigned To => WA9PIE
2019-01-07 08:49 WA9PIE Note Added: 0006898
2019-02-17 09:44 WA9PIE File Added: Awards2.xml
2019-02-17 09:44 WA9PIE Note Added: 0007415
2019-02-17 09:44 WA9PIE Assigned To WA9PIE => K7ZCZ
2019-02-17 09:45 WA9PIE Status assigned => resolved
2019-02-17 09:45 WA9PIE Resolution open => fixed
2019-02-21 15:08 WA9PIE Status resolved => assigned
2019-02-21 15:10 K7ZCZ Status assigned => resolved
2019-02-21 15:10 K7ZCZ Note Added: 0007482
2019-02-24 14:35 WA9PIE Fixed in Version => 6.5.0.196
2019-02-24 14:52 WA9PIE Status resolved => closed
2019-02-24 14:52 WA9PIE Testing Not Started => Beta Successful
2019-02-24 14:52 WA9PIE Note Added: 0007497
2019-02-24 15:12 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe